<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Book/Scripts/5_mission/dayzexpansion_book/book/booktabs/rules/expansionbookmenutabruleselement.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/dd0/expansionbookmenutabruleselement_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionbookmenutabruleselement.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/dd0/expansionbookmenutabruleselement_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionBookMenuTabRulesRuleElement.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html">ExpansionBookMenuTabRulesRuleElement</a>: ExpansionScriptView</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#abd4a2b79a566ea17e312b729d2c18e73">   15</a></span>    ref <a class="code hl_class" href="../../dd/d45/class_expansion_book_menu_tab_rules_rule_element_controller.html">ExpansionBookMenuTabRulesRuleElementController</a> <a class="code hl_variable" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#abd4a2b79a566ea17e312b729d2c18e73">m_EntryController</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#a9db1dbc2bd3400a1212c0594dec923cc">   16</a></span>    ref <a class="code hl_class" href="../../d3/d52/class_expansion_book_rule.html">ExpansionBookRule</a> <a class="code hl_variable" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#a9db1dbc2bd3400a1212c0594dec923cc">m_Rule</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#a5610aea7b671a19018eb1a8847854e5d">   17</a></span>    ref <a class="code hl_class" href="../../d0/d84/class_expansion_book_menu_tab_rules.html">ExpansionBookMenuTabRules</a> <a class="code hl_variable" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#a5610aea7b671a19018eb1a8847854e5d">m_RulesTab</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#a291afc16b9985a4b0c37b28cb7c0b0aa">   19</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#a291afc16b9985a4b0c37b28cb7c0b0aa">ExpansionBookMenuTabRulesRuleElement</a>(<a class="code hl_class" href="../../d0/d84/class_expansion_book_menu_tab_rules.html">ExpansionBookMenuTabRules</a> tab, <a class="code hl_class" href="../../d3/d52/class_expansion_book_rule.html">ExpansionBookRule</a> rule)</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_variable" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#a5610aea7b671a19018eb1a8847854e5d">m_RulesTab</a> = tab;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_variable" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#a9db1dbc2bd3400a1212c0594dec923cc">m_Rule</a> = rule;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#abd4a2b79a566ea17e312b729d2c18e73">m_EntryController</a>)</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            <a class="code hl_variable" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#abd4a2b79a566ea17e312b729d2c18e73">m_EntryController</a> = <a class="code hl_class" href="../../dd/d45/class_expansion_book_menu_tab_rules_rule_element_controller.html">ExpansionBookMenuTabRulesRuleElementController</a>.Cast(GetController());</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_function" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#aca451671b45abf9a1a1a48be03f36a31">SetView</a>();</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#af223443c3d6b629ee919a2e709a84427">   30</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#af223443c3d6b629ee919a2e709a84427">GetLayoutFile</a>() </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DayZExpansion/Book/GUI/layouts/tabs/rules/expansion_book_tab_rules_rule.layout&quot;</span>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#a52049fd6f94cfc3da496556dd58f30d8">   35</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#a52049fd6f94cfc3da496556dd58f30d8">GetControllerType</a>() </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../dd/d45/class_expansion_book_menu_tab_rules_rule_element_controller.html">ExpansionBookMenuTabRulesRuleElementController</a>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#aca451671b45abf9a1a1a48be03f36a31">   40</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#aca451671b45abf9a1a1a48be03f36a31">SetView</a>()</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <a class="code hl_variable" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#abd4a2b79a566ea17e312b729d2c18e73">m_EntryController</a>.<a class="code hl_variable" href="../../dd/d45/class_expansion_book_menu_tab_rules_rule_element_controller.html#aa46e62b9d29886ddf86c8fb25746e0a2">RuleParagraph</a> = <a class="code hl_variable" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#a9db1dbc2bd3400a1212c0594dec923cc">m_Rule</a>.<a class="code hl_variable" href="../../d3/d52/class_expansion_book_rule.html#a4852a5039abe417242dd7ad04e16b7f5">RuleParagraph</a>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <a class="code hl_variable" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#abd4a2b79a566ea17e312b729d2c18e73">m_EntryController</a>.NotifyPropertyChanged(<span class="stringliteral">&quot;RuleParagraph&quot;</span>);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <a class="code hl_variable" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#abd4a2b79a566ea17e312b729d2c18e73">m_EntryController</a>.<a class="code hl_variable" href="../../dd/d45/class_expansion_book_menu_tab_rules_rule_element_controller.html#abea005a553e2bb68fb3138383d8a1551">RuleText</a> = <a class="code hl_variable" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#a9db1dbc2bd3400a1212c0594dec923cc">m_Rule</a>.<a class="code hl_variable" href="../../d3/d52/class_expansion_book_rule.html#afea96f043a907b5315d6276048c6125b">RuleText</a>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <a class="code hl_variable" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#abd4a2b79a566ea17e312b729d2c18e73">m_EntryController</a>.NotifyPropertyChanged(<span class="stringliteral">&quot;RuleText&quot;</span>);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#af556089b3139d32a444a921296d273cf">   49</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#af556089b3139d32a444a921296d273cf">OnMouseEnter</a>(Widget w, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">return</span> super.OnMouseEnter(w, x, y);;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#ae10339c7c0d3bc185ce79a8b02ff85f8">   54</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#ae10339c7c0d3bc185ce79a8b02ff85f8">OnMouseLeave</a>(Widget w, Widget enterW, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordflow">return</span> super.OnMouseLeave(w, enterW, x, y);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>};</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../dd/d45/class_expansion_book_menu_tab_rules_rule_element_controller.html">   60</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dd/d45/class_expansion_book_menu_tab_rules_rule_element_controller.html">ExpansionBookMenuTabRulesRuleElementController</a>: ExpansionViewController</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>{</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../dd/d45/class_expansion_book_menu_tab_rules_rule_element_controller.html#aa46e62b9d29886ddf86c8fb25746e0a2">   62</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../dd/d45/class_expansion_book_menu_tab_rules_rule_element_controller.html#aa46e62b9d29886ddf86c8fb25746e0a2">RuleParagraph</a>;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../dd/d45/class_expansion_book_menu_tab_rules_rule_element_controller.html#abea005a553e2bb68fb3138383d8a1551">   63</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../dd/d45/class_expansion_book_menu_tab_rules_rule_element_controller.html#abea005a553e2bb68fb3138383d8a1551">RuleText</a>;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>};</div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_html"><div class="ttname"><a href="../../d0/d84/class_expansion_book_menu_tab_rules.html">ExpansionBookMenuTabRules</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/df9/expansionbookmenutabrules_8c_source.html#l00013">expansionbookmenutabrules.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_rule_element_controller_html"><div class="ttname"><a href="../../dd/d45/class_expansion_book_menu_tab_rules_rule_element_controller.html">ExpansionBookMenuTabRulesRuleElementController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd0/expansionbookmenutabruleselement_8c_source.html#l00060">expansionbookmenutabruleselement.c:61</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_rule_element_controller_html_aa46e62b9d29886ddf86c8fb25746e0a2"><div class="ttname"><a href="../../dd/d45/class_expansion_book_menu_tab_rules_rule_element_controller.html#aa46e62b9d29886ddf86c8fb25746e0a2">ExpansionBookMenuTabRulesRuleElementController::RuleParagraph</a></div><div class="ttdeci">string RuleParagraph</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd0/expansionbookmenutabruleselement_8c_source.html#l00062">expansionbookmenutabruleselement.c:62</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_rule_element_controller_html_abea005a553e2bb68fb3138383d8a1551"><div class="ttname"><a href="../../dd/d45/class_expansion_book_menu_tab_rules_rule_element_controller.html#abea005a553e2bb68fb3138383d8a1551">ExpansionBookMenuTabRulesRuleElementController::RuleText</a></div><div class="ttdeci">string RuleText</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd0/expansionbookmenutabruleselement_8c_source.html#l00063">expansionbookmenutabruleselement.c:63</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_rule_element_html"><div class="ttname"><a href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html">ExpansionBookMenuTabRulesRuleElement</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd0/expansionbookmenutabruleselement_8c_source.html#l00013">expansionbookmenutabruleselement.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_rule_element_html_a291afc16b9985a4b0c37b28cb7c0b0aa"><div class="ttname"><a href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#a291afc16b9985a4b0c37b28cb7c0b0aa">ExpansionBookMenuTabRulesRuleElement::ExpansionBookMenuTabRulesRuleElement</a></div><div class="ttdeci">void ExpansionBookMenuTabRulesRuleElement(ExpansionBookMenuTabRules tab, ExpansionBookRule rule)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd0/expansionbookmenutabruleselement_8c_source.html#l00019">expansionbookmenutabruleselement.c:19</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_rule_element_html_a52049fd6f94cfc3da496556dd58f30d8"><div class="ttname"><a href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#a52049fd6f94cfc3da496556dd58f30d8">ExpansionBookMenuTabRulesRuleElement::GetControllerType</a></div><div class="ttdeci">override GetControllerType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd0/expansionbookmenutabruleselement_8c_source.html#l00035">expansionbookmenutabruleselement.c:35</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_rule_element_html_a5610aea7b671a19018eb1a8847854e5d"><div class="ttname"><a href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#a5610aea7b671a19018eb1a8847854e5d">ExpansionBookMenuTabRulesRuleElement::m_RulesTab</a></div><div class="ttdeci">ref ExpansionBookMenuTabRules m_RulesTab</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd0/expansionbookmenutabruleselement_8c_source.html#l00017">expansionbookmenutabruleselement.c:17</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_rule_element_html_a9db1dbc2bd3400a1212c0594dec923cc"><div class="ttname"><a href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#a9db1dbc2bd3400a1212c0594dec923cc">ExpansionBookMenuTabRulesRuleElement::m_Rule</a></div><div class="ttdeci">ref ExpansionBookRule m_Rule</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd0/expansionbookmenutabruleselement_8c_source.html#l00016">expansionbookmenutabruleselement.c:16</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_rule_element_html_abd4a2b79a566ea17e312b729d2c18e73"><div class="ttname"><a href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#abd4a2b79a566ea17e312b729d2c18e73">ExpansionBookMenuTabRulesRuleElement::m_EntryController</a></div><div class="ttdeci">ref ExpansionBookMenuTabRulesRuleElementController m_EntryController</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd0/expansionbookmenutabruleselement_8c_source.html#l00015">expansionbookmenutabruleselement.c:15</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_rule_element_html_aca451671b45abf9a1a1a48be03f36a31"><div class="ttname"><a href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#aca451671b45abf9a1a1a48be03f36a31">ExpansionBookMenuTabRulesRuleElement::SetView</a></div><div class="ttdeci">void SetView()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd0/expansionbookmenutabruleselement_8c_source.html#l00040">expansionbookmenutabruleselement.c:40</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_rule_element_html_ae10339c7c0d3bc185ce79a8b02ff85f8"><div class="ttname"><a href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#ae10339c7c0d3bc185ce79a8b02ff85f8">ExpansionBookMenuTabRulesRuleElement::OnMouseLeave</a></div><div class="ttdeci">override bool OnMouseLeave(Widget w, Widget enterW, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd0/expansionbookmenutabruleselement_8c_source.html#l00054">expansionbookmenutabruleselement.c:54</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_rule_element_html_af223443c3d6b629ee919a2e709a84427"><div class="ttname"><a href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#af223443c3d6b629ee919a2e709a84427">ExpansionBookMenuTabRulesRuleElement::GetLayoutFile</a></div><div class="ttdeci">override string GetLayoutFile()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd0/expansionbookmenutabruleselement_8c_source.html#l00030">expansionbookmenutabruleselement.c:30</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_rules_rule_element_html_af556089b3139d32a444a921296d273cf"><div class="ttname"><a href="../../dd/d8e/class_expansion_book_menu_tab_rules_rule_element.html#af556089b3139d32a444a921296d273cf">ExpansionBookMenuTabRulesRuleElement::OnMouseEnter</a></div><div class="ttdeci">override bool OnMouseEnter(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd0/expansionbookmenutabruleselement_8c_source.html#l00049">expansionbookmenutabruleselement.c:49</a></div></div>
<div class="ttc" id="aclass_expansion_book_rule_html"><div class="ttname"><a href="../../d3/d52/class_expansion_book_rule.html">ExpansionBookRule</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d7a/expansionbookrulecategory_8c_source.html#l00030">expansionbookrulecategory.c:31</a></div></div>
<div class="ttc" id="aclass_expansion_book_rule_html_a4852a5039abe417242dd7ad04e16b7f5"><div class="ttname"><a href="../../d3/d52/class_expansion_book_rule.html#a4852a5039abe417242dd7ad04e16b7f5">ExpansionBookRule::RuleParagraph</a></div><div class="ttdeci">string RuleParagraph</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d7a/expansionbookrulecategory_8c_source.html#l00032">expansionbookrulecategory.c:32</a></div></div>
<div class="ttc" id="aclass_expansion_book_rule_html_afea96f043a907b5315d6276048c6125b"><div class="ttname"><a href="../../d3/d52/class_expansion_book_rule.html#afea96f043a907b5315d6276048c6125b">ExpansionBookRule::RuleText</a></div><div class="ttdeci">string RuleText</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d7a/expansionbookrulecategory_8c_source.html#l00033">expansionbookrulecategory.c:33</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_962bfa1893272c9ca8d900ccfa6a09f5.html">Book</a></li><li class="navelem"><a class="el" href="../../dir_5f6b997996f72d4bae47b189b5fbd491.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_8d5b9013e1e30f115ed1c9aa343b42f9.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_b9f01b84f4b1924a81a59a6ed9f6add1.html">dayzexpansion_book</a></li><li class="navelem"><a class="el" href="../../dir_9b9d04b47302adcbb3988d4c606fd4b1.html">book</a></li><li class="navelem"><a class="el" href="../../dir_c42bf3830d2b96dfe174506f42af663f.html">booktabs</a></li><li class="navelem"><a class="el" href="../../dir_f3ad095e469f1264cbf602001e0cb767.html">rules</a></li><li class="navelem"><a class="el" href="../../d0/dd0/expansionbookmenutabruleselement_8c.html">expansionbookmenutabruleselement.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
